using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace DataSharing.RawData
{
    /// <summary>
    /// 授权用户信息
    /// </summary>
    [Description("授权用户信息")]
    public class DsUserTokenInfo : CreationEntity
    {
        /// <summary>
        /// 账号
        /// </summary>
        [SugarColumn(ColumnDescription = "账号")]
        public string AccountId { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        [SugarColumn(ColumnDescription = "密码")]
        public string AccountSecret { get; set; }

        /// <summary>
        /// 所属平台Code
        /// </summary>
        [SugarColumn(ColumnDescription = "所属平台Code")]
        public string PlatformSource { get; set; }

        /// <summary>
        /// 所属平台名称
        /// </summary>
        [SugarColumn(ColumnDescription = "所属平台名称")]
        public string? PlatformSourceName { get; set; }

        /// <summary>
        /// 授权IP
        /// </summary>
        [SugarColumn(ColumnDescription = "授权IP")]
        public string? AuthIP { get; set; }

        /// <summary>
        /// 账号状态0：未启用；1：正常；2：禁用；
        /// </summary>
        [SugarColumn(ColumnDescription = "账号状态0：未启用；1：正常；2：禁用；")]
        public string? State { get; set; } = "1";

        /// <summary>
        /// 备注信息
        /// </summary>
        [SugarColumn(ColumnDescription = "备注信息")]
        public string? Remark { get; set; }

        /// <summary>
        /// 数据推送地址
        /// </summary>
        [SugarColumn(ColumnDescription = "数据推送地址")]
        public string? AddressUrl { get; set; }
    }
}
